CUnitTestSuiteBinarySpec (Gradle API 2.10)
Date: 2015-12-21

org.gradle.nativeplatform.test.cunit

## Interface CUnitTestSuiteBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, Named, NativeBinarySpec, NativeTestSuiteBinarySpec, TestSuiteBinarySpec

      @Incubating
      public interface CUnitTestSuiteBinarySpec
      extends NativeTestSuiteBinarySpec

  An executable which run a CUnit test suite.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.nativeplatform.test.NativeTestSuiteBinarySpec

      `NativeTestSuiteBinarySpec.TasksCollection`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CUnitTestSuiteSpec` | `getComponent()` The component that this binary was built from.
    `CUnitTestSuiteSpec` | `getTestSuite()` Returns the test suite that this binary belongs to.

    - ### Methods inherited from interface org.gradle.nativeplatform.test.NativeTestSuiteBinarySpec

      `getExecutable, getExecutableFile, getInstallation, getTasks, getTestedBinary`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getComponent

          CUnitTestSuiteSpec getComponent()

      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinarySpec`
      Specified by:
        `getComponent` in interface `NativeTestSuiteBinarySpec`

    - #### getTestSuite

          CUnitTestSuiteSpec getTestSuite()

      Returns the test suite that this binary belongs to.
      Specified by:
        `getTestSuite` in interface `NativeTestSuiteBinarySpec`
      Specified by:
        `getTestSuite` in interface `TestSuiteBinarySpec`